#ifndef TEXTUALQUESTION_H
#define TEXTUALQUESTION_H

#include <QString>
#include <QDomDocument>
#include "Question.h"

class QVBoxLayout;
class QLineEdit;
class QWidget;
class QLabel;
class QPushButton;
class QTimer;


class TextualQuestion : public Question
{
protected:
    QVBoxLayout *mainLayout;
    QLineEdit *userAnswerV;
    QLabel *labelAnswer, *labelTimer, *labelScore;
    QPushButton *botonContinue, *botonOk;
    QTimer * timer,* timerLabel;
    QString stringLabelTime, tempScore;

public:
    TextualQuestion(const QString& duration, QPushButton *bottonContinueE);
    virtual ~TextualQuestion() {}
    virtual bool loadFromNode(const QDomElement& element);
    virtual QString print() const;
    virtual bool aplicar(int &userScoreE);

public slots:
    virtual void check();
    virtual void remainingTimeAnswer();


};

#endif // TEXTUALQUESTION_H
